PDF::Builder::Resource::Font::BdFont(3)

NAME
PDF::Builder::Resource::Font::BdFont - Module for using bitmapped Fonts

Inherits from PDF::Builder::Resource::Font

SYNOPSIS
    #
    use PDF::Builder;
    #
    $pdf = PDF::Builder->new();
    $sft = $pdf->bdfont($file);
    #

This creates a bitmapped font from a .bdf (bitmap distribution font) file. The default is to use square elements, and the style can be changed to use filled dots (looking more like a dot-matrix printer). The font will be embedded in the PDF file.

Bitmapped fonts are quite rough, low resolution, and difficult to read, so unless you're a sadist who wants to force readers back to the good old days of dot-matrix printers and bitmapped X terminals, try to limit the use of such a font to decorative or novelty effects, such as chapter titles and major headings. Have mercy on your readers and use a real font (TrueType, etc.) for body text!

METHODS

  new
    $font = PDF::Builder::Resource::Font::BdFont->new($pdf, $font, %opts)

    Returns a BmpFont object.

Valid options (%opts) are:

style
    A value of 'block' (the default) assembles a character from contiguous square blocks. A value of 'dot' assembles a character from overlapping filled circles, in the style of a dot matrix printer.

AUTHOR
Alfred Reibenschuh, extensively rewritten by Phil Perry